Clusters - Create

Создает новый кластер HDInsight с указанными параметрами.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HDInsight/clusters/{clusterName}?api-version=2021-06-01

Параметры URI

Name In Required Type Description
clusterName
path True
  • string

Имя кластера.

resourceGroupName
path True
  • string

Имя группы ресурсов.

subscriptionId
path True
  • string

Учетные данные подписки, которые однозначно идентифицируют Microsoft Azure подписке. Идентификатор подписки формирует часть URI для каждого вызова службы.

api-version
query True
  • string

Версия API клиента HDInsight.

Текст запроса

Name Type Description
identity

Удостоверение кластера, если оно настроено.

location
  • string

Расположение кластера.

properties

Параметры создания кластера.

tags
  • object

Теги ресурса.

zones
  • string[]

Зоны доступности.

Ответы

Name Type Description
200 OK

Определение ответа OK.

Other Status Codes

Ответ об ошибке, описывающий причину сбоя операции.

Безопасность

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation олицетворения учетной записи пользователя

Примеры

Create cluster with availability zones
Create cluster with compute isolation properties
Create cluster with encryption at host
Create cluster with encryption in transit
Create cluster with network properties
Create cluster with TLS 1.2
Create Hadoop cluster with Azure Data Lake Storage Gen 2
Create Hadoop on Linux cluster with SSH password
Create Hadoop on Linux cluster with SSH public key
Create HDInsight cluster with Autoscale configuration
Create Kafka cluster with Kafka Rest Proxy
Create Secure Hadoop cluster
Create Spark on Linux Cluster with SSH password

Create cluster with availability zones

Sample Request

PUT https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "zones": [
    "1"
  ],
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "clusterDefinition": {
      "kind": "hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        },
        "ambari-conf": {
          "database-server": "{sql server name}.database.windows.net",
          "database-name": "{ambari database name}",
          "database-user-name": "**********",
          "database-user-password": "**********"
        },
        "hive-site": {
          "javax.jdo.option.ConnectionURL": "jdbc:sqlserver://{sql server name}.database.windows.net;database={hive metastore name};encrypt=true;trustServerCertificate=true;create=false;loginTimeout=300;sendStringParametersAsUnicode=true;prepareSQL=0",
          "javax.jdo.option.ConnectionUserName": "**********",
          "javax.jdo.option.ConnectionPassword": "**********!",
          "javax.jdo.option.ConnectionDriverName": "com.microsoft.sqlserver.jdbc.SQLServerDriver"
        },
        "hive-env": {
          "hive_database": "Existing MSSQL Server database with SQL authentication",
          "hive_database_name": "{hive metastore name}",
          "hive_database_type": "mssql",
          "hive_existing_mssql_server_database": "{hive metastore name}",
          "hive_existing_mssql_server_host": "{sql server name}.database.windows.net",
          "hive_hostname": "{sql server name}.database.windows.net"
        },
        "oozie-site": {
          "oozie.service.JPAService.jdbc.url": "jdbc:sqlserver://{sql server name}.database.windows.net;database={oozie metastore name};encrypt=true;trustServerCertificate=true;create=false;loginTimeout=300;sendStringParametersAsUnicode=true;prepareSQL=0",
          "oozie.service.JPAService.jdbc.username": "**********",
          "oozie.service.JPAService.jdbc.password": "**********",
          "oozie.service.JPAService.jdbc.driver": "com.microsoft.sqlserver.jdbc.SQLServerDriver",
          "oozie.db.schema.name": "oozie"
        },
        "oozie-env": {
          "oozie_database": "Existing MSSQL Server database with SQL authentication",
          "oozie_database_name": "{oozie metastore name}",
          "oozie_database_type": "mssql",
          "oozie_existing_mssql_server_database": "{oozie metastore name}",
          "oozie_existing_mssql_server_host": "{sql server name}.database.windows.net",
          "oozie_hostname": "{sql server name}.database.windows.net"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage",
          "isDefault": true,
          "container": "containername",
          "key": "storage account key"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "tags": null,
  "zones": [
    "1"
  ],
  "properties": {
    "clusterVersion": "3.6.1000.67",
    "osType": "Linux",
    "clusterId": "8186508b6234470e9d16c9e8e13bd821",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-3.6.1000.67.2005040905.json",
      "kind": "hadoop"
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2020-06-09T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 16
    },
    "tier": "Standard"
  }
}

Create cluster with compute isolation properties

Sample Request

PUT https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "clusterDefinition": {
      "kind": "hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage",
          "isDefault": true,
          "container": "containername",
          "key": "storage account key"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          }
        }
      ]
    },
    "computeIsolationProperties": {
      "enableComputeIsolation": true,
      "hostSku": null
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "tags": null,
  "properties": {
    "clusterVersion": "3.6.1000.67",
    "osType": "Linux",
    "clusterId": "8186508b6234470e9d16c9e8e13bd821",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-3.6.1000.67.2005040905.json",
      "kind": "hadoop"
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "computeIsolationProperties": {
      "enableComputeIsolation": true,
      "hostSku": null
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2020-06-09T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 16
    },
    "tier": "Standard"
  }
}

Create cluster with encryption at host

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_DS14_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Standard_DS14_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Standard_DS14_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "default8525",
          "key": "storagekey"
        }
      ]
    },
    "diskEncryptionProperties": {
      "encryptionAtHost": true
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "3b76ce3d-892c-4036-9d8b-8ade18ba7a4b",
  "tags": null,
  "properties": {
    "clusterVersion": "3.6.1000.67",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-3.6.1000.67.2001080246.json",
      "kind": "Hadoop",
      "componentVersion": {
        "Hadoop": "2.7"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_ds14_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_ds14_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_ds14_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2020-01-10T08:36:39.153",
    "quotaInfo": {
      "coresUsed": 20
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard",
    "diskEncryptionProperties": {
      "vaultUri": null,
      "keyName": null,
      "keyVersion": null,
      "encryptionAlgorithm": null,
      "msiResourceId": null,
      "encryptionAtHost": true
    }
  }
}

Create cluster with encryption in transit

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Large"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Large"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "default8525",
          "key": "storagekey"
        }
      ]
    },
    "encryptionInTransitProperties": {
      "isEncryptionInTransitEnabled": true
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "3b76ce3d-892c-4036-9d8b-8ade18ba7a4b",
  "tags": null,
  "properties": {
    "clusterVersion": "3.6.1000.67",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-3.6.1000.67.2001080246.json",
      "kind": "Hadoop",
      "componentVersion": {
        "Hadoop": "2.7"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_a4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2020-01-10T08:36:39.153",
    "quotaInfo": {
      "coresUsed": 20
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard",
    "encryptionInTransitProperties": {
      "isEncryptionInTransitEnabled": true
    }
  }
}

Create cluster with network properties

Sample Request

PUT https://management.azure.com/subscriptions/subId/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "clusterDefinition": {
      "kind": "hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage",
          "isDefault": true,
          "container": "containername",
          "key": "storage account key"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        }
      ]
    },
    "networkProperties": {
      "resourceProviderConnection": "Outbound",
      "privateLink": "Enabled"
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "tags": null,
  "properties": {
    "clusterVersion": "3.6.1000.67",
    "osType": "Linux",
    "clusterId": "8186508b6234470e9d16c9e8e13bd821",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-3.6.1000.67.2005040905.json",
      "kind": "hadoop"
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          }
        }
      ]
    },
    "networkProperties": {
      "resourceProviderConnection": "Outbound",
      "privateLink": "Enabled"
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2020-06-09T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 16
    },
    "tier": "Standard"
  }
}

Create cluster with TLS 1.2

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Large"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Large"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "default8525",
          "key": "storagekey"
        }
      ]
    },
    "minSupportedTlsVersion": "1.2"
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "3b76ce3d-892c-4036-9d8b-8ade18ba7a4b",
  "tags": null,
  "properties": {
    "clusterVersion": "3.6.1000.67",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-3.6.1000.67.2001080246.json",
      "kind": "Hadoop",
      "componentVersion": {
        "Hadoop": "2.7"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_a4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2020-01-10T08:36:39.153",
    "quotaInfo": {
      "coresUsed": 20
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard",
    "minSupportedTlsVersion": "1.2"
  }
}

Create Hadoop cluster with Azure Data Lake Storage Gen 2

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "tags": {
    "key1": "val1"
  },
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": "true",
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.dfs.core.windows.net",
          "isDefault": true,
          "fileSystem": "default",
          "key": "storagekey"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "minInstanceCount": 1,
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "zookeepernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "East US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-4.0.1000.1.1910270459.json",
      "kind": "HADOOP",
      "componentVersion": {
        "Hadoop": "3.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d12_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-18T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 40
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard"
  }
}

Create Hadoop on Linux cluster with SSH password

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "tags": {
    "key1": "val1"
  },
  "properties": {
    "clusterVersion": "3.5",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": "true",
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "containername",
          "key": "storagekey"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "minInstanceCount": 1,
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "zookeepernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "East US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-4.0.1000.1.1910270459.json",
      "kind": "HADOOP",
      "componentVersion": {
        "Hadoop": "3.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d12_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-18T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 40
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard"
  }
}

Create Hadoop on Linux cluster with SSH public key

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "tags": {
    "key1": "val1"
  },
  "properties": {
    "clusterVersion": "3.5",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "containername",
          "key": "storagekey"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "minInstanceCount": 1,
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          }
        },
        {
          "name": "workernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "zookeepernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "East US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-4.0.1000.1.1910270459.json",
      "kind": "HADOOP",
      "componentVersion": {
        "Hadoop": "3.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d12_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-18T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 40
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard"
  }
}

Create HDInsight cluster with Autoscale configuration

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "3.6",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "hadoop",
      "componentVersion": {
        "Hadoop": "2.7"
      },
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "hdinsight-autoscale-tes-2019-06-18t05-49-16-591z",
          "key": "storagekey"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "autoscale": {
            "capacity": null,
            "recurrence": {
              "timeZone": "China Standard Time",
              "schedule": [
                {
                  "days": [
                    "Monday",
                    "Tuesday",
                    "Wednesday",
                    "Thursday",
                    "Friday"
                  ],
                  "timeAndCapacity": {
                    "time": "09:00",
                    "minInstanceCount": 3,
                    "maxInstanceCount": 3
                  }
                },
                {
                  "days": [
                    "Monday",
                    "Tuesday",
                    "Wednesday",
                    "Thursday",
                    "Friday"
                  ],
                  "timeAndCapacity": {
                    "time": "18:00",
                    "minInstanceCount": 6,
                    "maxInstanceCount": 6
                  }
                },
                {
                  "days": [
                    "Saturday",
                    "Sunday"
                  ],
                  "timeAndCapacity": {
                    "time": "09:00",
                    "minInstanceCount": 2,
                    "maxInstanceCount": 2
                  }
                },
                {
                  "days": [
                    "Saturday",
                    "Sunday"
                  ],
                  "timeAndCapacity": {
                    "time": "18:00",
                    "minInstanceCount": 4,
                    "maxInstanceCount": 4
                  }
                }
              ]
            }
          },
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "Standard_D4_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          },
          "virtualNetworkProfile": null,
          "scriptActions": [],
          "dataDisksGroups": null
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "East US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-4.0.1000.1.1910270459.json",
      "kind": "HADOOP",
      "componentVersion": {
        "Hadoop": "3.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d12_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-18T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 40
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard"
  }
}

Create Kafka cluster with Kafka Rest Proxy

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "properties": {
    "clusterVersion": "4.0",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "kafka",
      "componentVersion": {
        "Kafka": "2.1"
      },
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "kafkaRestProperties": {
      "clientGroupInfo": {
        "groupName": "Kafka security group name",
        "groupId": "00000000-0000-0000-0000-111111111111"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Large"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Large"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          },
          "dataDisksGroups": [
            {
              "disksPerNode": 8
            }
          ]
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "kafkamanagementnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_D4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "kafkauser",
              "password": "**********"
            }
          }
        }
      ]
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "containername",
          "key": "storagekey"
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "South Central US",
  "etag": "e1266b83-9bda-4797-a906-1bf82c8eb09a",
  "tags": null,
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/kafka-4.0.1000.1.1911212244.json",
      "kind": "KAFKA",
      "componentVersion": {
        "Kafka": "2.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d3_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d3_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          },
          "dataDisksGroups": [
            {
              "disksPerNode": 2,
              "storageAccountType": "Standard_LRS",
              "diskSizeGB": 1023
            }
          ]
        },
        {
          "name": "kafkamanagementnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-25T03:43:23.663",
    "quotaInfo": {
      "coresUsed": 52
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      },
      {
        "name": "KafkaRestProxyPublicEndpoint",
        "protocol": "TCP",
        "location": "cluster1-kafkarest.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard",
    "kafkaRestProperties": {
      "clientGroupInfo": {
        "groupName": "security group name",
        "groupId": "00000000-0000-0000-0000-000000000000"
      }
    }
  }
}

Create Secure Hadoop cluster

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "tags": {
    "key1": "val1"
  },
  "properties": {
    "clusterVersion": "3.5",
    "osType": "Linux",
    "tier": "Premium",
    "clusterDefinition": {
      "kind": "Hadoop",
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "containername",
          "key": "storage account key"
        }
      ]
    },
    "securityProfile": {
      "directoryType": "ActiveDirectory",
      "domain": "DomainName",
      "organizationalUnitDN": "OU=Hadoop,DC=hdinsight,DC=test",
      "ldapsUrls": [
        "ldaps://10.10.0.4:636"
      ],
      "domainUsername": "DomainUsername",
      "domainUserPassword": "**********",
      "clusterUsersGroupDNs": [
        "hdiusers"
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "minInstanceCount": 1,
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          },
          "scriptActions": []
        },
        {
          "name": "workernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "Standard_D3_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          },
          "scriptActions": []
        },
        {
          "name": "zookeepernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "Small"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********",
              "sshProfile": {
                "publicKeys": [
                  {
                    "certificateData": "**********"
                  }
                ]
              }
            }
          },
          "virtualNetworkProfile": {
            "id": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname",
            "subnet": "/subscriptions/subId/resourceGroups/rg/providers/Microsoft.Network/virtualNetworks/vnetname/subnets/vnetsubnet"
          },
          "scriptActions": []
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "East US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-4.0.1000.1.1910270459.json",
      "kind": "HADOOP",
      "componentVersion": {
        "Hadoop": "3.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d12_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-18T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 40
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard"
  }
}

Create Spark on Linux Cluster with SSH password

Sample Request

PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1?api-version=2021-06-01

{
  "tags": {
    "key1": "val1"
  },
  "properties": {
    "clusterVersion": "3.5",
    "osType": "Linux",
    "tier": "Standard",
    "clusterDefinition": {
      "kind": "Spark",
      "componentVersion": {
        "Spark": "2.0"
      },
      "configurations": {
        "gateway": {
          "restAuthCredential.isEnabled": true,
          "restAuthCredential.username": "admin",
          "restAuthCredential.password": "**********"
        }
      }
    },
    "storageProfile": {
      "storageaccounts": [
        {
          "name": "mystorage.blob.core.windows.net",
          "isDefault": true,
          "container": "containername",
          "key": "storageapikey*"
        }
      ]
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "minInstanceCount": 1,
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "Standard_D12_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        },
        {
          "name": "workernode",
          "minInstanceCount": 1,
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "Standard_D4_V2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser",
              "password": "**********"
            }
          }
        }
      ]
    }
  }
}

Sample Response

location: https://management.azure.com/subscriptions/subid/providers/Microsoft.HDInsight/pathToOperationResult
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.HDInsight/clusters/cluster1",
  "name": "cluster1",
  "type": "Microsoft.HDInsight/clusters",
  "location": "East US",
  "etag": "fdf2a6e8-ce83-42cc-8c2d-0ceb11a370ff",
  "properties": {
    "clusterVersion": "4.0.1000.1",
    "osType": "Linux",
    "clusterDefinition": {
      "blueprint": "https://blueprints.azurehdinsight.net/hadoop-4.0.1000.1.1910270459.json",
      "kind": "SPARK",
      "componentVersion": {
        "Hadoop": "3.1"
      }
    },
    "computeProfile": {
      "roles": [
        {
          "name": "headnode",
          "targetInstanceCount": 2,
          "hardwareProfile": {
            "vmSize": "standard_d12_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "workernode",
          "targetInstanceCount": 4,
          "hardwareProfile": {
            "vmSize": "standard_d4_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        },
        {
          "name": "zookeepernode",
          "targetInstanceCount": 3,
          "hardwareProfile": {
            "vmSize": "standard_a2_v2"
          },
          "osProfile": {
            "linuxOperatingSystemProfile": {
              "username": "sshuser"
            }
          }
        }
      ]
    },
    "provisioningState": "Succeeded",
    "clusterState": "Running",
    "createdDate": "2019-11-18T12:25:43.48",
    "quotaInfo": {
      "coresUsed": 40
    },
    "connectivityEndpoints": [
      {
        "name": "SSH",
        "protocol": "TCP",
        "location": "cluster1-ssh.azurehdinsight.net",
        "port": 22
      },
      {
        "name": "HTTPS",
        "protocol": "TCP",
        "location": "cluster1.azurehdinsight.net",
        "port": 443
      }
    ],
    "tier": "Standard"
  }
}

Определения

Autoscale

Параметры запроса автомасштабирования

AutoscaleCapacity

Параметры запроса автомасштабирования на основе нагрузки

AutoscaleRecurrence

Параметры запроса автомасштабирования на основе расписания

AutoscaleSchedule

Параметры для правила автомасштабирования на основе расписания, состоящего из массива дней и времени и емкости

AutoscaleTimeAndCapacity

Параметры запроса времени и емкости

ClientGroupInfo

Сведения о группе безопасности AAD.

Cluster

Кластер HDInsight.

ClusterCreateParametersExtended

Параметры запроса CreateCluster.

ClusterCreateProperties

Параметры создания кластера.

ClusterDefinition

Определение кластера.

ClusterGetProperties

Свойства кластера.

ClusterIdentity

Удостоверение для кластера.

ComputeIsolationProperties

Свойства изоляции вычислений.

ComputeProfile

Описывает профиль вычислений.

ConnectivityEndpoint

Свойства подключения

createdByType

Тип удостоверения, создавшего ресурс.

DataDisksGroups

Группы дисков данных для роли.

DirectoryType

Тип каталога.

DiskEncryptionProperties

Свойства шифрования диска

EncryptionInTransitProperties

Свойства шифрования при передаче.

ErrorResponse

Описывает формат ответа на ошибку.

Errors

Сообщение об ошибке, связанное с созданием кластера.

ExcludedServicesConfig

Конфигурация, которую службы будут исключены при создании кластера.

HardwareProfile

Профиль оборудования.

HDInsightClusterProvisioningState

Состояние подготовки, которое отображается только в ответе.

IPConfiguration

Ip-конфигурации для службы приватного канала.

JsonWebKeyEncryptionAlgorithm

Идентификатор алгоритма для шифрования, по умолчанию RSA-OAEP.

KafkaRestProperties

Конфигурация прокси-сервера rest kafka, содержащая сведения о группе безопасности AAD.

LinuxOperatingSystemProfile

Открытый ключ SSH: имя пользователя, пароль и SSH.

NetworkProperties

Свойства сети.

OsProfile

Профиль операционных систем Linux.

OSType

Тип операционной системы.

PrivateEndpoint

Частная конечная точка.

PrivateEndpointConnection

Подключение к частной конечной точке.

PrivateEndpointConnectionProvisioningState

Состояние подготовки, которое отображается только в ответе.

PrivateIPAllocationMethod

Метод, выделенный частным IP-адресом.

PrivateLink

Указывает, включена ли приватная ссылка.

PrivateLinkConfiguration

Конфигурация приватного канала.

PrivateLinkConfigurationProvisioningState

Состояние подготовки конфигурации приватного канала, которое отображается только в ответе.

PrivateLinkServiceConnectionState

Состояние подключения службы приватного канала.

PrivateLinkServiceConnectionStatus

Конкретное подключение службы приватного канала.

QuotaInfo

Свойства квоты для кластера.

ResourceId

Идентификатор ресурса Azure.

ResourceIdentityType

Тип удостоверения, используемого для кластера. Тип SystemAssigned, UserAssigned включает как условно созданное удостоверение, так и набор удостоверений, назначенных пользователем.

ResourceProviderConnection

Направление подключения поставщика ресурсов.

Role

Описывает роль в кластере.

ScriptAction

Описывает действие скрипта для роли в кластере.

SecurityProfile

Профиль безопасности, содержащий открытый ключ SSH для кластера HDInsight.

SshProfile

Список открытых ключей SSH.

SshPublicKey

Открытый ключ SSH для узлов кластера.

StorageAccount

Учетная запись хранения.

StorageProfile

Профиль хранилища.

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

Tier

Уровень кластера.

UserAssignedIdentity

Назначенное пользователем удостоверение

VirtualNetworkProfile

Свойства виртуальной сети.

Autoscale

Параметры запроса автомасштабирования

Name Type Description
capacity

Параметры для автомасштабирования на основе нагрузки

recurrence

Параметры для автомасштабирования на основе расписания

AutoscaleCapacity

Параметры запроса автомасштабирования на основе нагрузки

Name Type Description
maxInstanceCount
  • integer

Максимальное число экземпляров кластера

minInstanceCount
  • integer

Минимальное число экземпляров кластера

AutoscaleRecurrence

Параметры запроса автомасштабирования на основе расписания

Name Type Description
schedule

Массив правил автомасштабирования на основе расписаний

timeZone
  • string

Часовой пояс для расписания автомасштабирования

AutoscaleSchedule

Параметры для правила автомасштабирования на основе расписания, состоящего из массива дней и времени и емкости

Name Type Description
days
  • string[]

Дни недели для правила автомасштабирования на основе расписания

timeAndCapacity

Время и емкость для правила автомасштабирования на основе расписания

AutoscaleTimeAndCapacity

Параметры запроса времени и емкости

Name Type Description
maxInstanceCount
  • integer

Максимальное число экземпляров кластера

minInstanceCount
  • integer

Минимальное число экземпляров кластера

time
  • string

24-часовое время в форме xx:xx

ClientGroupInfo

Сведения о группе безопасности AAD.

Name Type Description
groupId
  • string

Идентификатор группы безопасности AAD.

groupName
  • string

Имя группы безопасности AAD.

Cluster

Кластер HDInsight.

Name Type Description
etag
  • string

ETag для ресурса

id
  • string

Полный идентификатор ресурса. Например, /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

Удостоверение кластера, если оно настроено.

location
  • string

Географическое расположение, в котором находится ресурс.

name
  • string

Имя ресурса.

properties

Свойства кластера.

systemData

Метаданные, относящиеся к созданию и последнему модификации ресурса.

tags
  • object

Теги ресурсов.

type
  • string

Тип ресурса. Например, Microsoft.Compute/virtualMachines или Microsoft. служба хранилища/storageAccounts"

zones
  • string[]

Зоны доступности.

ClusterCreateParametersExtended

Параметры запроса CreateCluster.

Name Type Description
identity

Удостоверение кластера, если оно настроено.

location
  • string

Расположение кластера.

properties

Параметры создания кластера.

tags
  • object

Теги ресурса.

zones
  • string[]

Зоны доступности.

ClusterCreateProperties

Параметры создания кластера.

Name Type Default Value Description
clusterDefinition

Определение кластера.

clusterVersion
  • string

Версия кластера.

computeIsolationProperties

Свойства изоляции вычислений.

computeProfile

Профиль вычислений.

diskEncryptionProperties

Свойства шифрования диска.

encryptionInTransitProperties

Свойства шифрования при передаче.

kafkaRestProperties

Конфигурация прокси-сервера rest kafka кластера.

minSupportedTlsVersion
  • string

Минимальная поддерживаемая версия tls.

networkProperties

Свойства сети.

osType

Тип операционной системы.

privateLinkConfigurations

Конфигурации приватного канала.

securityProfile

Профиль безопасности.

storageProfile

Профиль хранилища.

tier Standard

Уровень кластера.

ClusterDefinition

Определение кластера.

Name Type Description
blueprint
  • string

Ссылка на схему.

componentVersion
  • object

Версии разных служб в кластере.

configurations
  • object

Конфигурации кластера.

kind
  • string

Тип кластера.

ClusterGetProperties

Свойства кластера.

Name Type Description
clusterDefinition

Определение кластера.

clusterHdpVersion
  • string

Версия кластера hdp.

clusterId
  • string

Идентификатор кластера.

clusterState
  • string

Состояние кластера.

clusterVersion
  • string

Версия кластера.

computeIsolationProperties

Свойства изоляции вычислений.

computeProfile

Профиль вычислений.

connectivityEndpoints

Список конечных точек подключения.

createdDate
  • string

Дата создания кластера.

diskEncryptionProperties

Свойства шифрования диска.

encryptionInTransitProperties

Свойства шифрования при передаче.

errors

Список ошибок.

excludedServicesConfig

Конфигурация исключенных служб.

kafkaRestProperties

Конфигурация прокси-сервера rest kafka кластера.

minSupportedTlsVersion
  • string

Минимальная поддерживаемая версия TLS.

networkProperties

Свойства сети.

osType

Тип операционной системы.

privateEndpointConnections

Список подключений к частной конечной точке.

privateLinkConfigurations

Конфигурации приватного канала.

provisioningState

Состояние подготовки, которое отображается только в ответе.

quotaInfo

Сведения о квоте.

securityProfile

Профиль безопасности.

storageProfile

Профиль хранения.

tier

Уровень кластера.

ClusterIdentity

Удостоверение для кластера.

Name Type Description
principalId
  • string

Идентификатор субъекта удостоверения кластера. Это свойство будет предоставлено только для назначенного системой удостоверения.

tenantId
  • string

Идентификатор клиента, связанный с кластером. Это свойство будет предоставлено только для назначенного системой удостоверения.

type

Тип удостоверения, используемого для кластера. Тип SystemAssigned, UserAssigned включает как условно созданное удостоверение, так и набор удостоверений, назначенных пользователем.

userAssignedIdentities

Список удостоверений пользователей, связанных с кластером. Ссылки на ключ словаря удостоверений пользователей будут идентификаторами ресурсов ARM в форме : "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}".

ComputeIsolationProperties

Свойства изоляции вычислений.

Name Type Default Value Description
enableComputeIsolation
  • boolean
False

Флаг указывает, включена ли изоляция вычислений.

hostSku
  • string

Номер SKU узла.

ComputeProfile

Описывает профиль вычислений.

Name Type Description
roles

Список ролей в кластере.

ConnectivityEndpoint

Свойства подключения

Name Type Description
location
  • string

Расположение конечной точки.

name
  • string

Имя конечной точки.

port
  • integer

Порт для подключения.

privateIPAddress
  • string

Частный IP-адрес конечной точки.

protocol
  • string

Протокол конечной точки.

createdByType

Тип удостоверения, создавшего ресурс.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

DataDisksGroups

Группы дисков данных для роли.

Name Type Description
diskSizeGB
  • integer

Readonly. Размер diskSize в ГБ. Не устанавливайте это значение.

disksPerNode
  • integer

Количество дисков на узел.

storageAccountType
  • string

Readonly. Тип учетной записи хранения. Не устанавливайте это значение.

DirectoryType

Тип каталога.

Name Type Description
ActiveDirectory
  • string

DiskEncryptionProperties

Свойства шифрования диска

Name Type Default Value Description
encryptionAlgorithm

Идентификатор алгоритма для шифрования, значение по умолчанию RSA-OAEP.

encryptionAtHost
  • boolean
False

Указывает, включено ли шифрование диска ресурсов.

keyName
  • string

Имя ключа, используемое для включения шифрования дисков.

keyVersion
  • string

Конкретная версия ключа, используемая для включения шифрования дисков.

msiResourceId
  • string

Идентификатор ресурса управляемого удостоверения, используемого для доступа к хранилищу ключей.

vaultUri
  • string

Базовый URI хранилища ключей, где находится ключ клиента, например. https://myvault.vault.azure.net

EncryptionInTransitProperties

Свойства шифрования при передаче.

Name Type Default Value Description
isEncryptionInTransitEnabled
  • boolean
False

Указывает, шифруется ли обмен данными между узлами кластера при передаче.

ErrorResponse

Описывает формат ответа на ошибку.

Name Type Description
code
  • string

Код ошибки

message
  • string

Сообщение об ошибке, указывающее, почему операция завершилась сбоем.

Errors

Сообщение об ошибке, связанное с созданием кластера.

Name Type Description
code
  • string

Код ошибки.

message
  • string

Сообщение об ошибке.

ExcludedServicesConfig

Конфигурация, которую службы будут исключены при создании кластера.

Name Type Description
excludedServicesConfigId
  • string

Идентификатор конфигурации исключенных служб.

excludedServicesList
  • string

Список исключенных служб.

HardwareProfile

Профиль оборудования.

Name Type Description
vmSize
  • string

размер виртуальной машины;

HDInsightClusterProvisioningState

Состояние подготовки, которое отображается только в ответе.

Name Type Description
Canceled
  • string
Deleting
  • string
Failed
  • string
InProgress
  • string
Succeeded
  • string

IPConfiguration

Ip-конфигурации для службы приватного канала.

Name Type Description
id
  • string

Идентификатор конфигурации IP-адреса приватного канала.

name
  • string

Имя IP-конфигурации приватного канала.

properties.primary
  • boolean

Указывает, является ли эта IP-конфигурация основной для соответствующей сетевой карты.

properties.privateIPAddress
  • string

IP-адрес.

properties.privateIPAllocationMethod

Метод, выделенный частным IP-адресом.

properties.provisioningState

Состояние подготовки конфигурации приватного канала, которое отображается только в ответе.

properties.subnet

Идентификатор ресурса подсети.

type
  • string

Тип IP-конфигурации приватного канала.

JsonWebKeyEncryptionAlgorithm

Идентификатор алгоритма для шифрования, по умолчанию RSA-OAEP.

Name Type Description
RSA-OAEP
  • string
RSA-OAEP-256
  • string
RSA1_5
  • string

KafkaRestProperties

Конфигурация прокси-сервера rest kafka, содержащая сведения о группе безопасности AAD.

Name Type Description
clientGroupInfo

Сведения о группе безопасности AAD.

configurationOverride
  • object

Конфигурации, которые необходимо переопределить.

LinuxOperatingSystemProfile

Открытый ключ SSH: имя пользователя, пароль и SSH.

Name Type Description
password
  • string

Пароль.

sshProfile

Профиль SSH.

username
  • string

Имя пользователя.

NetworkProperties

Свойства сети.

Name Type Description
privateLink

Указывает, включен ли приватный канал.

resourceProviderConnection

Направление подключения поставщика ресурсов.

OsProfile

Профиль операционных систем Linux.

Name Type Description
linuxOperatingSystemProfile

Профиль ОС Linux.

OSType

Тип операционной системы.

Name Type Description
Linux
  • string
Windows
  • string

PrivateEndpoint

Частная конечная точка.

Name Type Description
id
  • string

Идентификатор частной конечной точки.

PrivateEndpointConnection

Подключение к частной конечной точке.

Name Type Description
id
  • string

Полный идентификатор ресурса. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name
  • string

Имя ресурса.

properties.linkIdentifier
  • string

Идентификатор ссылки.

properties.privateEndpoint

Частная конечная точка подключения к частной конечной точке

properties.privateLinkServiceConnectionState

Состояние подключения службы приватного канала.

properties.provisioningState

Состояние подготовки, которое отображается только в ответе.

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

type
  • string

Тип ресурса. Например, Microsoft.Compute/virtualMachines или Microsoft. служба хранилища/storageAccounts"

PrivateEndpointConnectionProvisioningState

Состояние подготовки, которое отображается только в ответе.

Name Type Description
Canceled
  • string
Deleting
  • string
Failed
  • string
InProgress
  • string
Succeeded
  • string
Updating
  • string

PrivateIPAllocationMethod

Метод, выделенный частным IP-адресом.

Name Type Description
dynamic
  • string
static
  • string

Указывает, включена ли приватная ссылка.

Name Type Description
Disabled
  • string
Enabled
  • string

PrivateLinkConfiguration

Конфигурация приватного канала.

Name Type Description
id
  • string

Идентификатор конфигурации приватного канала.

name
  • string

Имя конфигурации приватного канала.

properties.groupId
  • string

Имя подресурсов HDInsight для приватного связывания для применения конфигурации приватного канала. Например, headnode, gateway, edgenode.

properties.ipConfigurations

IP-конфигурации для службы приватного канала.

properties.provisioningState

Состояние подготовки конфигурации приватного канала, которое отображается только в ответе.

type
  • string

Тип конфигурации приватного канала.

PrivateLinkConfigurationProvisioningState

Состояние подготовки конфигурации приватного канала, которое отображается только в ответе.

Name Type Description
Canceled
  • string
Deleting
  • string
Failed
  • string
InProgress
  • string
Succeeded
  • string

PrivateLinkServiceConnectionState

Состояние подключения службы приватного канала.

Name Type Description
actionsRequired
  • string

Существуют ли дальнейшие действия.

description
  • string

Необязательное описание состояния.

status

Конкретное подключение службы приватного канала.

PrivateLinkServiceConnectionStatus

Конкретное подключение службы приватного канала.

Name Type Description
Approved
  • string
Pending
  • string
Rejected
  • string
Removed
  • string

QuotaInfo

Свойства квоты для кластера.

Name Type Description
coresUsed
  • integer

Ядра, используемые кластером.

ResourceId

Идентификатор ресурса Azure.

Name Type Description
id
  • string

Идентификатор ресурса Azure.

ResourceIdentityType

Тип удостоверения, используемого для кластера. Тип SystemAssigned, UserAssigned включает как условно созданное удостоверение, так и набор удостоверений, назначенных пользователем.

Name Type Description
None
  • string
SystemAssigned
  • string
SystemAssigned, UserAssigned
  • string
UserAssigned
  • string

ResourceProviderConnection

Направление подключения поставщика ресурсов.

Name Type Description
Inbound
  • string
Outbound
  • string

Role

Описывает роль в кластере.

Name Type Default Value Description
VMGroupName
  • string

Имя группы виртуальных машин.

autoscale

Конфигурации автомасштабирования.

dataDisksGroups

Группы дисков данных для роли.

encryptDataDisks
  • boolean
False

Указывает, шифруются ли диски данных.

hardwareProfile

Профиль оборудования.

minInstanceCount
  • integer

Минимальное число экземпляров кластера.

name
  • string

Имя роли.

osProfile

Профиль операционной системы.

scriptActions

Список действий скрипта для роли.

targetInstanceCount
  • integer

Количество экземпляров кластера.

virtualNetworkProfile

Профиль виртуальной сети.

ScriptAction

Описывает действие скрипта для роли в кластере.

Name Type Description
name
  • string

Имя действия скрипта.

parameters
  • string

Параметры для предоставленного скрипта.

uri
  • string

Универсальный код ресурса (URI) для скрипта.

SecurityProfile

Профиль безопасности, содержащий открытый ключ SSH для кластера HDInsight.

Name Type Description
aaddsResourceId
  • string

Идентификатор ресурса Azure Active Directory доменной службы пользователя.

clusterUsersGroupDNs
  • string[]

Необязательный элемент. Различающиеся имена для групп пользователей кластера

directoryType

Тип каталога.

domain
  • string

Домен Active Directory организации.

domainUserPassword
  • string

Пароль администратора домена.

domainUsername
  • string

Учетная запись пользователя домена, которая будет иметь права администратора в кластере.

ldapsUrls
  • string[]

URL-адреса протокола LDAPS для взаимодействия с Active Directory.

msiResourceId
  • string

Назначаемое пользователем удостоверение, которое имеет разрешения на чтение и создание артефактов, связанных с кластером, в AADDS пользователя.

organizationalUnitDN
  • string

Подразделение в Active Directory для размещения учетных записей кластера и служб.

SshProfile

Список открытых ключей SSH.

Name Type Description
publicKeys

Список открытых ключей SSH.

SshPublicKey

Открытый ключ SSH для узлов кластера.

Name Type Description
certificateData
  • string

Сертификат для SSH.

StorageAccount

Учетная запись хранения.

Name Type Description
container
  • string

Контейнер в учетной записи хранения должен быть указан только для учетных записей хранения WASB.

fileSystem
  • string

Файловая система, указываемая только для Azure Data Lake Storage 2-го поколения.

fileshare
  • string

Имя общей папки.

isDefault
  • boolean

Указывает, является ли учетная запись хранения учетной записью хранения по умолчанию.

key
  • string

Ключ доступа к учетной записи хранения.

msiResourceId
  • string

Управляемое удостоверение (MSI), которому разрешен доступ к учетной записи хранения, можно указать только для Azure Data Lake Storage 2-го поколения.

name
  • string

Имя учетной записи хранения.

resourceId
  • string

Идентификатор ресурса учетной записи хранения, который необходимо указать только для Azure Data Lake Storage 2-го поколения.

saskey
  • string

Ключ подписанного URL-адреса.

StorageProfile

Профиль хранилища.

Name Type Description
storageaccounts

Список учетных записей хранения в кластере.

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

Name Type Description
createdAt
  • string

Метка времени создания ресурса (UTC).

createdBy
  • string

Удостоверение, создающее ресурс.

createdByType

Тип удостоверения, создавшего ресурс.

lastModifiedAt
  • string

Метка времени последнего изменения ресурса (UTC)

lastModifiedBy
  • string

Удостоверение, которое в последний раз изменило ресурс.

lastModifiedByType

Тип удостоверения, который последний раз изменил ресурс.

Tier

Уровень кластера.

Name Type Description
Premium
  • string
Standard
  • string

UserAssignedIdentity

Назначенное пользователем удостоверение

Name Type Description
clientId
  • string

Идентификатор клиента, назначаемого пользователем.

principalId
  • string

Идентификатор субъекта, назначаемого пользователем.

tenantId
  • string

Идентификатор клиента, назначаемого пользователем.

VirtualNetworkProfile

Свойства виртуальной сети.

Name Type Description
id
  • string

Идентификатор виртуальной сети.

subnet
  • string

Имя подсети.